SDL_shaders_d3d.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_shaders_d3d.h:

Go to the source code of this file.

## Enumerations

enum | D3D9_Shader { SHADER_YUV_JPEG, SHADER_YUV_BT601, SHADER_YUV_BT709, NUM_SHADERS }

## Functions

HRESULT | D3D9_CreatePixelShader (IDirect3DDevice9 *d3dDevice, D3D9_Shader shader, IDirect3DPixelShader9 **pixelShader)

## Enumeration Type Documentation

## D3D9_Shader

enum D3D9_Shader

Enumerator
SHADER_YUV_JPEG |
SHADER_YUV_BT601 |
SHADER_YUV_BT709 |
NUM_SHADERS |

Definition at line 25 of file SDL_shaders_d3d.h.

{
SHADER_YUV_JPEG,
SHADER_YUV_BT601,
SHADER_YUV_BT709,
NUM_SHADERS
} D3D9_Shader;
D3D9_Shader
D3D9_Shader
Definition: SDL_shaders_d3d.h:25
SHADER_YUV_JPEG
Definition: SDL_shaders_d3d.h:26
SHADER_YUV_BT709
Definition: SDL_shaders_d3d.h:28
SHADER_YUV_BT601
Definition: SDL_shaders_d3d.h:27
NUM_SHADERS
Definition: SDL_shaders_d3d.h:29

## Function Documentation

## D3D9_CreatePixelShader()

HRESULT D3D9_CreatePixelShader | ( | IDirect3DDevice9 * | d3dDevice,
|  | D3D9_Shader | shader,
|  | IDirect3DPixelShader9 ** | pixelShader
| ) |  |